
<app-main>

    <div class="title-block col-md-9">
        <h1 class="title">Add Client</h1>
        <p class="title-description"> </p>
    </div>
    <div class="col-md-9 card card-block sameheight-item" >
        <div class="col-md-12">
           <!-- <div class="root">
                 <div class="container col-md-12">
                     <ul class="progressbar">
                        <li class="active">Step 1</li>
                        <li class="active">Step 2</li>
                        <li class="active">Step 3</li>
                       <li>Step 4</li>
                       <li>Step 5</li>
                     </ul>
                 </div>
             </div> -->

        </div>
        <div role="form">
            
            <div *ngIf="step===1">
                Risk Details

                <div class="row form-group">
                    <div class="col-6">
                        <div class="input-group input-group">
                            <select class="form-control" (change)="filterProducts($event.target.value)">
                                <option>Select Product</option>
                                <option *ngFor="let product of products" [value]="product.id">
                                    {{product.productName}}
                                  </option>
                            </select>
                        </div>
                    </div>
                    <div class="col-6">
                    
                        <div class="input-group input-group">
                            <select class="form-control" (change)="filterRiskCovers($event.target.value)">
                                <option>Select Risk Cover</option>
                                <option *ngFor="let riskCover of riskCovers" [value]="riskCover.id">
                                    {{riskCover.riskCoverName}}
                                  </option>
                            </select>
                        </div>
                    </div>
                    
                </div>

                <div class="row form-group">
                    <div class="col-6">
                        <div class="input-group input-group">
                        
                            <select class="form-control"  (change)="filterRiskItems($event.target.value)">
                                <option>Select Risk Item</option>
                                <option *ngFor="let riskItem of riskItems" [value]="riskItem.id">
                                    {{riskItem.riskItemName}}
                                  </option>
                            </select>
                        </div>
                    </div>
                    <div class="col-6">
                    
                        <div class="input-group input-group">
                            <span class="input-group-prepend">
                                <span class="input-group-text">$</span>
                            </span>
                            <input type="text" class="form-control" placeholder="Sum Insured">
                            <span class="input-group-append">
                                <span class="input-group-text">.00</span>
                            </span>
                        </div>
                    </div>
                
                </div>

                <div class="row form-group">
                    <div class="col-6">
                        <div class="input-group input-group">
                            <span class="input-group-prepend">
                                <span class="input-group-text">Rate</span>
                            </span>
                            <input type="text" class="form-control" placeholder="0.6">
                            <span class="input-group-append">
                                <span class="input-group-text">%</span>
                            </span>
                        </div>
                    </div>
                    <div class="col-6">
                    
                        <div class="input-group input-group">
                            <span class="input-group-prepend">
                                <span class="input-group-text">$</span>
                            </span>
                            <input type="text" class="form-control" placeholder="">
                            <span class="input-group-append">
                                <span class="input-group-text">.00</span>
                            </span>
                        </div>
                    </div>
                
                </div>

            </div>


            <div *ngIf="step===3">
                Summary Details
            </div>
            <div *ngIf="step===4">
               
            </div>
            <div *ngIf="step===5">
                5
            </div>
           
            
        <div *ngIf="step===0">
            <div class="form-group">
                <label class="control-label">Client Type</label>
                <div>
                    <label class="col-3">
                        <input class="radio squared" value="Individual" name="squared-radios" checked="checked" type="radio" (change)="onItemChange($event.target.value)">
                        <span>Individual </span>
                    </label>
                    <label class="col-3" >
                        <input class="radio squared" value="Business" name="squared-radios" type="radio" (change)="onItemChange($event.target.value)">
                        <span>Business</span>
                    </label>
                </div>
            </div>
        <app-individual-card *ngIf="(selected==='Individual')">

        </app-individual-card>

        <app-business-card *ngIf="(selected==='Business')">

        </app-business-card>
            

            
        </div>

      
 
        <button (click)="toggleShowTwo()" *ngIf="isShown" class="btn btn-primary btn pull-left" >Back</button>
        <button (click)="toggleShow()"class="btn btn-primary btn pull-right" >Next</button>
        </div>
       
        
    </div>
 </app-main>
